5.13. Platform-specific Flags
Prev | Chapter 5. Using GHC | Next

## 5.13. Platform-specific Flags

Some flags only make sense for particular target platforms.

`-monly-[32]-regs`:

  (iX86 machines) GHC tries to “steal” four registers from GCC, for performance reasons; it almost always works. However, when GCC is compiling some modules with four stolen registers, it will crash, probably saying:

      Foo.hc:533: fixed or forbidden register was spilled.
      This may be due to a compiler bug or to impossible asm
      statements or clauses.

  Just give some registers back with `-monly-N-regs`. Try `3' first, then `2'. If `2' doesn't work, please report the bug to us.

Prev | Up | Next
5.12. Using SMP parallelism | Home | 5.14. Running a compiled program